---
title: vultr_startup_script
url: https://docs.vultr.com/reference/terraform/data-sources/startup_script
description: Manages custom startup scripts for automating server initialization tasks on Vultr instances.
publish_date: 2025-09-15T13:34:16.676218Z
last_updated: 2025-09-15T14:14:46.217446Z
---

# vultr_startup_script

Get information about a Vultr startup script. This data source provides the name, script, type, creation date, and the last modification date for your Vultr startup script.

## Example Usage

Get the information for a startup script by `name`:

```hcl
data "vultr_startup_script" "my_startup_script" {
  filter {
    name = "name"
    values = ["my-startup-script-name"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding startup scripts.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `name` - The name of the startup script.
* `script` - The contents of the startup script base64 encoded.
* `type` - The type of the startup script.
* `date_created` - The date the startup script was added to your Vultr account.
* `date_modified` - The date the startup script was last modified.